totem_logging_configuration Struct Reference

`#include <totem.h>`

## Data Fields

void(* | log_printf )(int level, int subsys, const char *function_name, const char *file_name, int file_line, const char *format,...) __attribute__((format(printf
void(*) in | log_level_security )
int | log_level_error
int | log_level_warning
int | log_level_notice
int | log_level_debug
int | log_level_trace
int | log_subsys_id

## Detailed Description

Definition at line 100 of file totem.h.

## Field Documentation

## log_level_debug

int totem_logging_configuration::log_level_debug

Definition at line 114 of file totem.h.

## log_level_error

int totem_logging_configuration::log_level_error

Definition at line 111 of file totem.h.

## log_level_notice

int totem_logging_configuration::log_level_notice

Definition at line 113 of file totem.h.

## log_level_security

void(*) in totem_logging_configuration::log_level_security)

Definition at line 110 of file totem.h.

## log_level_trace

int totem_logging_configuration::log_level_trace

Definition at line 115 of file totem.h.

## log_level_warning

int totem_logging_configuration::log_level_warning

Definition at line 112 of file totem.h.

## log_printf

void(* totem_logging_configuration::log_printf) (int level, int subsys, const char *function_name, const char *file_name, int file_line, const char *format,...) __attribute__((format(printf

Definition at line 101 of file totem.h.

## log_subsys_id

int totem_logging_configuration::log_subsys_id

Definition at line 116 of file totem.h.

The documentation for this struct was generated from the following file:

- totem.h